GET api/departmentItemapi/departmentitemsbydepartment/{departmentId}?active={active}&lastUpdate={lastUpdate}

Request Information

URI Parameters

NameDescriptionTypeAdditional information
departmentId

globally unique identifier

Required

active

boolean

None.

lastUpdate

date

None.

Body Parameters

None.

Response Information

Resource Description

Collection of DepartmentItemViewModel
NameDescriptionTypeAdditional information
item_code

string

None.

item_descriptions

Dictionary of string [key] and string [value]

None.

selected_sticker_id

globally unique identifier

None.

selected_nameplate_id

globally unique identifier

None.

active

boolean

Required

department_id

globally unique identifier

Required

id

globally unique identifier

None.

physical_item_id

globally unique identifier

None.

service_item_id

globally unique identifier

None.

item_wash_max

integer

None.

quantity

integer

None.

Response Formats

application/json, text/json

Sample:
[
  {
    "item_code": "sample string 1",
    "item_descriptions": {
      "sample string 1": "sample string 2",
      "sample string 3": "sample string 4"
    },
    "selected_sticker_id": "d24d92f5-7a44-4fad-90ef-37c065340480",
    "selected_nameplate_id": "634ea734-34fd-4189-a0da-175ad5ece8ae",
    "active": true,
    "department_id": "a2e809c5-ed85-4a9c-b360-499b8901ccab",
    "id": "b227cd86-56a1-4e66-b19e-ebb554d165ea",
    "physical_item_id": "e2f80f8a-7f25-4f44-bd27-762642846efd",
    "service_item_id": "51189449-2b10-4ae9-a7cd-6388730b97cb",
    "item_wash_max": 1,
    "quantity": 1
  },
  {
    "item_code": "sample string 1",
    "item_descriptions": {
      "sample string 1": "sample string 2",
      "sample string 3": "sample string 4"
    },
    "selected_sticker_id": "d24d92f5-7a44-4fad-90ef-37c065340480",
    "selected_nameplate_id": "634ea734-34fd-4189-a0da-175ad5ece8ae",
    "active": true,
    "department_id": "a2e809c5-ed85-4a9c-b360-499b8901ccab",
    "id": "b227cd86-56a1-4e66-b19e-ebb554d165ea",
    "physical_item_id": "e2f80f8a-7f25-4f44-bd27-762642846efd",
    "service_item_id": "51189449-2b10-4ae9-a7cd-6388730b97cb",
    "item_wash_max": 1,
    "quantity": 1
  }
]

application/xml, text/xml

Sample:
<ArrayOfdepartment_item xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
  <department_item>
    <active>true</active>
    <department_id>a2e809c5-ed85-4a9c-b360-499b8901ccab</department_id>
    <id>b227cd86-56a1-4e66-b19e-ebb554d165ea</id>
    <item_wash_max>1</item_wash_max>
    <physical_item_id>e2f80f8a-7f25-4f44-bd27-762642846efd</physical_item_id>
    <quantity>1</quantity>
    <service_item_id>51189449-2b10-4ae9-a7cd-6388730b97cb</service_item_id>
    <item_code>sample string 1</item_code>
    <item_descriptions xmlns:d3p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
      <d3p1:KeyValueOfstringstring>
        <d3p1:Key>sample string 1</d3p1:Key>
        <d3p1:Value>sample string 2</d3p1:Value>
      </d3p1:KeyValueOfstringstring>
      <d3p1:KeyValueOfstringstring>
        <d3p1:Key>sample string 3</d3p1:Key>
        <d3p1:Value>sample string 4</d3p1:Value>
      </d3p1:KeyValueOfstringstring>
    </item_descriptions>
    <selected_nameplate_id>634ea734-34fd-4189-a0da-175ad5ece8ae</selected_nameplate_id>
    <selected_sticker_id>d24d92f5-7a44-4fad-90ef-37c065340480</selected_sticker_id>
  </department_item>
  <department_item>
    <active>true</active>
    <department_id>a2e809c5-ed85-4a9c-b360-499b8901ccab</department_id>
    <id>b227cd86-56a1-4e66-b19e-ebb554d165ea</id>
    <item_wash_max>1</item_wash_max>
    <physical_item_id>e2f80f8a-7f25-4f44-bd27-762642846efd</physical_item_id>
    <quantity>1</quantity>
    <service_item_id>51189449-2b10-4ae9-a7cd-6388730b97cb</service_item_id>
    <item_code>sample string 1</item_code>
    <item_descriptions xmlns:d3p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
      <d3p1:KeyValueOfstringstring>
        <d3p1:Key>sample string 1</d3p1:Key>
        <d3p1:Value>sample string 2</d3p1:Value>
      </d3p1:KeyValueOfstringstring>
      <d3p1:KeyValueOfstringstring>
        <d3p1:Key>sample string 3</d3p1:Key>
        <d3p1:Value>sample string 4</d3p1:Value>
      </d3p1:KeyValueOfstringstring>
    </item_descriptions>
    <selected_nameplate_id>634ea734-34fd-4189-a0da-175ad5ece8ae</selected_nameplate_id>
    <selected_sticker_id>d24d92f5-7a44-4fad-90ef-37c065340480</selected_sticker_id>
  </department_item>
</ArrayOfdepartment_item>